# Azure Terraform QuickStart Templates

This repo contains all currently available Azure Terraform templates contributed by the community.

As of now, this repository should be considered in preview.  As it grows, a set of best-practice guidelines for contributing will be developed and implemented.

# Contributing

This project welcomes contributions and suggestions from the internal Microsoft and public community. See the [**Contribution guide**](/quickstart/CONTRIBUTE.md) for how to use or contribute to this repo.

## Note

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/). For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments.

## Quickstarts

#### Beginner

- [Azure resource group](./101-resource-group)
- [Static Website hosted on Azure Storage](./101-storage-static-website)
- [Azure Web App hosting a Linux Container](./101-web-app-linux-container)
- [Azure Web App hosting a Java 8 App on Linux](./101-web-app-linux-java)
- [Azure Web App hosting a .NET App on Windows](./101-web-app-windows-dotnet)

#### Intermediate

- [Azure Web App with ACR](./201-web-app-docker-acr/)
- [Azure Kubernetes Service with an Admin Dashboard](./201-aks-rbac-dashboard-admin/)
- [Azure Kubernetes Service with Log Analytics](./201-aks-log-analytics/)
- [Azure Kubernetes Service with Helm](./201-aks-helm/)
- [Azure Kubernetes Service with ACR](./201-aks-acr-identity/)
- [Azure virtual machine scale set with jumpbox](./201-vmss-jumpbox)
- [Azure virtual machine scale set with jumpbox from Packer custom image](./201-vmss-packer-jumpbox)

#### Advanced
- [Azure Service Fabric](./301-service-fabric/)
- [Azure Service Fabric with APIM](./301-service-fabric-apim/)
- [Enterprise-ready AKS](./301-aks-enterprise/)

#### Coming Soon
- [Static Website fronted with an SSL CDN](./201-storage-static-website-cdn-ssl)
- [AKS with GPU node pools](./201-aks-gpu-nodepool/)
- [Azure Web App on Linux with PostgreSQL and KeyVault](./201-web-app-postgres-keyvault/)
- [Azure Web App on Windows in a Vnet](./201-web-app-windows-vnet/)
- [AppGateway fronted VM Scale Set](./201-vmss-appgw-waf/)
- [Azure Pipeline CI/CD for Terraform](./201-azure-pipelines-ci-cd/)
- [AKS with Windows node pools](./301-aks-windows-nodepool/)
- [Hub and Spoke VNet with VMs](./301-hub-spoke-network-3vm/)
